%define pkgname utils

Summary: X.Org X11 X client utilities
Name: xorg-x11-%{pkgname}
Version: 1.0.1
Release: 1.2
License: MIT/X11
Group: User Interface/X
URL: http://www.x.org

Source0:  http://xorg.freedesktop.org/releases/X11R7.0/src/everything/xdpyinfo-1.0.1.tar.bz2
Source1:  http://xorg.freedesktop.org/releases/X11R7.0/src/everything/xdriinfo-1.0.0.tar.bz2
Source2:  http://xorg.freedesktop.org/releases/X11R7.0/src/everything/xev-1.0.1.tar.bz2
Source3:  http://xorg.freedesktop.org/releases/X11R7.0/src/everything/xfd-1.0.1.tar.bz2
Source4:  http://xorg.freedesktop.org/releases/X11R7.0/src/everything/xfontsel-1.0.1.tar.bz2
Source5:  http://xorg.freedesktop.org/releases/X11R7.0/src/everything/xlsatoms-1.0.1.tar.bz2
Source6:  http://xorg.freedesktop.org/releases/X11R7.0/src/everything/xlsclients-1.0.1.tar.bz2
Source7:  http://xorg.freedesktop.org/releases/X11R7.0/src/everything/xlsfonts-1.0.1.tar.bz2
Source8:  http://xorg.freedesktop.org/releases/X11R7.0/src/everything/xprop-1.0.1.tar.bz2
Source9:  http://xorg.freedesktop.org/releases/X11R7.0/src/everything/xvinfo-1.0.1.tar.bz2
Source10: http://xorg.freedesktop.org/releases/X11R7.0/src/everything/xwininfo-1.0.1.tar.bz2

%define applist xdpyinfo xdriinfo xev xfd xfontsel xlsatoms xlsclients xlsfonts xprop xvinfo xwininfo

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: pkgconfig
# xdriinfo requires libGL-devel
BuildRequires: libGL-devel

BuildRequires: libXv-devel, libXft-devel

# FIXME: check if still needed for X11R7
Requires(pre): filesystem >= 2.3.6-1

Provides: xdpyinfo xdriinfo xev xfd xfontsel xlsatoms xlsclients xlsfonts xprop xvinfo xwininfo

%description
A collection of client utilities which can be used to query the X server
for various information, view and select fonts, etc.

%prep
%setup -q -c %{name}-%{version} -a1 -a2 -a3 -a4 -a5 -a6 -a7 -a8 -a9 -a10

%build
# Build all apps
{
   for app in * ; do
      pushd $app
      %configure
      make
      popd
   done
}

%install
rm -rf $RPM_BUILD_ROOT
# Install all apps
{
   for app in * ; do
      pushd $app
      make install DESTDIR=$RPM_BUILD_ROOT
      popd
   done
}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc
%dir %{_bindir}
%{_bindir}/xdpyinfo
%{_bindir}/xdriinfo
%{_bindir}/xev
%{_bindir}/xfd
%{_bindir}/xfontsel
%{_bindir}/xlsatoms
%{_bindir}/xlsclients
%{_bindir}/xlsfonts
%{_bindir}/xprop
%{_bindir}/xvinfo
%{_bindir}/xwininfo
%dir %{_datadir}
%dir %{_datadir}/X11
%dir %{_datadir}/X11/app-defaults
%{_datadir}/X11/app-defaults/XFontSel
%{_datadir}/X11/app-defaults/Xfd
%dir %{_mandir}
%dir %{_mandir}/man1
%{_mandir}/man1/xdpyinfo.1x.gz
%{_mandir}/man1/xdriinfo.1x.gz
%{_mandir}/man1/xev.1x.gz
%{_mandir}/man1/xfd.1x.gz
%{_mandir}/man1/xfontsel.1x.gz
%{_mandir}/man1/xlsatoms.1x.gz
%{_mandir}/man1/xlsclients.1x.gz
%{_mandir}/man1/xlsfonts.1x.gz
%{_mandir}/man1/xprop.1x.gz
%{_mandir}/man1/xvinfo.1x.gz
%{_mandir}/man1/xwininfo.1x.gz

%changelog
* Mon Feb 26 2007 Eddy Nigg <eddy_nigg@startcom.org>
- Rebuild for StartCom Linux 5.0.x

* Fri Feb 10 2006 Jesse Keating <jkeating@redhat.com> - 1.0.1-1.2
- bump again for double-long bug on ppc(64)

* Tue Feb 07 2006 Jesse Keating <jkeating@redhat.com> - 1.0.1-1.1
- rebuilt for new gcc4.1 snapshot and glibc changes

* Wed Jan 18 2006 Mike A. Harris <mharris@redhat.com> 1.0.1-1
- Updated all tarballs to versions from X11R7.0

* Sat Dec 17 2005 Mike A. Harris <mharris@redhat.com> 1.0.0-1
- Updated all tarballs to version 1.0.0 from X11R7 RC4.
- Changed manpage dir from man1x to man1 to match upstream RC4 default.
- Moved all app-defaults files from _libdir to _datadir

* Mon Nov 14 2005 Jeremy Katz <katzj@redhat.com> - 0.99.2-3
- require newer filesystem package (#172610)

* Mon Nov 14 2005 Jeremy Katz <katzj@redhat.com> - 0.99.2-2
- rebuild 

* Fri Nov 11 2005 Mike A. Harris <mharris@redhat.com> 0.99.2-1
- Initial build, with all apps taken from X11R7 RC2
- Use "make install DESTDIR=$RPM_BUILD_ROOT" as the makeinstall macro fails on
  some packages.
